/* eldap.c (easyldap)
 *	SASL auxprop module for ldap authentification via cmusaslsecret* passwords
 * ORIGIN : modified giengerldap module of Pascal Gienger (http://southbrain.com/south)
 * LICENSE: Pascal Gienger (hopefully GNU GPLv3 or similar)
 */

#include <string.h>
#include <stdlib.h>
#include <stdio.h>
#ifndef macintosh
#include <sys/stat.h>
#endif
#include <fcntl.h>
#include <assert.h>

#include <sasl.h>
#include <saslplug.h>
#include <saslutil.h>

#include "plugin_common.h"

#ifdef WIN32
int APIENTRY DllMain(HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
{
	switch (ul_reason_for_call)
	  {
	  case DLL_PROCESS_ATTACH:
	  case DLL_THREAD_ATTACH:
	  case DLL_THREAD_DETACH:
	  case DLL_PROCESS_DETACH:
		  break;
	  }
	return 1;
}
#endif

SASL_AUXPROP_PLUG_INIT(eldap);

